## node-type-check 0.3.2+dfsg

=== Makefile ===
default: all

SRC = $(shell find src -name "*.ls" -type f | sort)
LIB = $(SRC:src/%.ls=lib/%.js)

LS = node_modules/livescript
LSC = node_modules/.bin/lsc
BROWSERIFY = node_modules/.bin/browserify
MOCHA = node_modules/.bin/mocha
MOCHA2 = node_modules/.bin/_mocha
ISTANBUL = node_modules/.bin/istanbul

package.json: package.json.ls
	$(LSC) --compile package.json.ls

lib:
	mkdir -p lib/

lib/%.js: src/%.ls lib
	$(LSC) --compile --output lib "$<"

browser:
	mkdir -p browser/

browser/type-check.js: $(LIB) browser
	{ ./preroll ; $(BROWSERIFY) -r ./lib/index.js:type-check ; } > browser/type-check.js

.PHONY: build build-browser test coverage dev-install loc clean

all: build

build: $(LIB) package.json

build-browser: browser/type-check.js

test: build
	$(MOCHA) --reporter dot --ui tdd --compilers ls:$(LS)

coverage: build
	$(ISTANBUL) cover $(MOCHA2) -- --reporter dot --ui tdd --compilers ls:$(LS)

dev-install: package.json
	npm install .

loc:
	wc -l $(SRC)

clean:
	rm -f package.json
	rm -rf lib
	rm -rf browser
	rm -rf coverage

## node-type-check 0.3.2%2Bdfsg

=== debian/control ===
Source: node-type-check
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , livescript
 , mocha
Standards-Version: 3.9.8
Homepage: https://github.com/gkz/type-check
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-type-check.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-type-check.git

Package: node-type-check
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-prelude-ls (>= 1.1.2)
Description: allows you to check the types of JavaScript values at runtime
 It comes with a Haskell like type syntax.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-type-check-$1.tar.gz/ \
 https://github.com/gkz/type-check/tags .*/archive/v?([\d\.]+).tar.gz

## node-type-check 0.3.2+dfsg

=== debian/changelog ===
node-type-check (0.3.2+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * Replace old-style mocha test files (Closes: #952201)

 -- Xavier Guimard <yadd@debian.org>  Mon, 24 Feb 2020 10:38:06 +0100

node-type-check (0.3.2+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Update "Depends"
  * Switch to pkg-js-tools
  * Enable upstream tests
  * Drop compat, switch to debhelper-compat
  * Add upstream/metadata
  * Fix VCS URLs
  * Add "Rules-Requires-Root: no"
  * Fix Format URL
  * Change section value to javascript
  * Bump standards version to 4.5.0
  * Use nodepath to find livescript, add patch description
  * Add gbp.conf

 -- Nilesh <npatra974@gmail.com>  Thu, 30 Jan 2020 20:39:46 +0530

node-type-check (0.3.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #840411)

 -- Pirate Praveen <praveen@debian.org>  Wed, 12 Oct 2016 23:40:41 +0530

=== debian/control ===
Source: node-type-check
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , livescript
 , mocha
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-type-check
Vcs-Git: https://salsa.debian.org/js-team/node-type-check.git
Homepage: https://github.com/gkz/type-check
Rules-Requires-Root: no

Package: node-type-check
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-prelude-ls
 , livescript
 , mocha
Description: allows you to check the types of JavaScript values at runtime
 It comes with a Haskell like type syntax.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_auto_build:
	make all

#override_dh_auto_test:

## node-type-check 0.4.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,6 @@
 LSC = node_modules/.bin/lsc
 BROWSERIFY = node_modules/.bin/browserify
 MOCHA = node_modules/.bin/mocha
-MOCHA2 = node_modules/.bin/_mocha
-ISTANBUL = node_modules/.bin/istanbul
 
 package.json: package.json.ls
 	$(LSC) --compile package.json.ls
@@ -34,10 +32,7 @@
 build-browser: browser/type-check.js
 
 test: build
-	$(MOCHA) --reporter dot --ui tdd --compilers ls:$(LS)
-
-coverage: build
-	$(ISTANBUL) cover $(MOCHA2) -- --reporter dot --ui tdd --compilers ls:$(LS)
+	$(MOCHA) --ui tdd --require livescript "test/**/*.ls"
 
 dev-install: package.json
 	npm install .

=== debian/changelog ===
node-type-check (0.4.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * Improve description
  * Depends on newer pkg-js-tools avoiding to rebuild package.json
    using % rules
  * Reuse pkg-js-tools testing

 -- Bastien Roucariès <rouca@debian.org>  Mon, 04 Oct 2021 08:09:29 +0000

node-type-check (0.4.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Drop depends on b-d.
  * Fix test
  * MA: foreign

 -- Bastien Roucariès <rouca@debian.org>  Sun, 03 Oct 2021 21:09:21 +0000

node-type-check (0.4.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * New upstream version 0.4.0+dfsg
  * Refresh patch
  * Fix copyright

 -- Xavier Guimard <yadd@debian.org>  Fri, 25 Dec 2020 20:24:22 +0100

=== debian/control ===
Source: node-type-check
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 13)
 , livescript
 , mocha <!nocheck>
 , node-prelude-ls <!nocheck>
 , dh-sequence-nodejs (>= 0.9.71~)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-type-check
Vcs-Git: https://salsa.debian.org/js-team/node-type-check.git
Homepage: https://github.com/gkz/type-check
Rules-Requires-Root: no

Package: node-type-check
Architecture: all
Depends:
 ${misc:Depends}
 , node-prelude-ls
Multi-Arch: foreign
Description: Check the types of JavaScript values at runtime
 This library allows one to run unit test using a Haskell like type
 syntax using Node.js.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) build

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@%@PACKAGE@-$1% \
 https://github.com/gkz/type-check/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
